# GCC_RequestPDU Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum

Choices {
e_conferenceJoinRequest, e_conferenceAddRequest, e_conferenceLockRequest, e_conferenceUnlockRequest,
e_conferenceTerminateRequest, e_conferenceEjectUserRequest, e_conferenceTransferRequest, e_registryRegisterChannelRequest,
e_registryAssignTokenRequest, e_registrySetParameterRequest, e_registryRetrieveEntryRequest, e_registryDeleteEntryRequest,
e_registryMonitorEntryRequest, e_registryAllocateHandleRequest, e_nonStandardRequest
}

## Public Member Functions

| GCC_RequestPDU (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_ConferenceJoinRequest & ()
| operator const GCC_ConferenceJoinRequest & () const
| operator GCC_ConferenceAddRequest & ()
| operator const GCC_ConferenceAddRequest & () const
| operator GCC_ConferenceLockRequest & ()
| operator const GCC_ConferenceLockRequest & () const
| operator GCC_ConferenceUnlockRequest & ()
| operator const GCC_ConferenceUnlockRequest & () const
| operator GCC_ConferenceTerminateRequest & ()
| operator const GCC_ConferenceTerminateRequest & () const
| operator GCC_ConferenceEjectUserRequest & ()
| operator const GCC_ConferenceEjectUserRequest & () const
| operator GCC_ConferenceTransferRequest & ()
| operator const GCC_ConferenceTransferRequest & () const
| operator GCC_RegistryRegisterChannelRequest & ()
| operator const GCC_RegistryRegisterChannelRequest & () const
| operator GCC_RegistryAssignTokenRequest & ()
| operator const GCC_RegistryAssignTokenRequest & () const
| operator GCC_RegistrySetParameterRequest & ()
| operator const GCC_RegistrySetParameterRequest & () const
| operator GCC_RegistryRetrieveEntryRequest & ()
| operator const GCC_RegistryRetrieveEntryRequest & () const
| operator GCC_RegistryDeleteEntryRequest & ()
| operator const GCC_RegistryDeleteEntryRequest & () const
| operator GCC_RegistryMonitorEntryRequest & ()
| operator const GCC_RegistryMonitorEntryRequest & () const
| operator GCC_RegistryAllocateHandleRequest & ()
| operator const GCC_RegistryAllocateHandleRequest & () const
| operator GCC_NonStandardPDU & ()
| operator const GCC_NonStandardPDU & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_RequestPDU::Choices

Enumerator:

  e_conferenceJoinRequest |
  e_conferenceAddRequest |
  e_conferenceLockRequest |
  e_conferenceUnlockRequest |
  e_conferenceTerminateRequest |
  e_conferenceEjectUserRequest |
  e_conferenceTransferRequest |
  e_registryRegisterChannelRequest |
  e_registryAssignTokenRequest |
  e_registrySetParameterRequest |
  e_registryRetrieveEntryRequest |
  e_registryDeleteEntryRequest |
  e_registryMonitorEntryRequest |
  e_registryAllocateHandleRequest |
  e_nonStandardRequest |

## Constructor & Destructor Documentation

GCC_RequestPDU::GCC_RequestPDU | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_RequestPDU::operator GCC_ConferenceJoinRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_ConferenceJoinRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_ConferenceAddRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_ConferenceAddRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_ConferenceLockRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_ConferenceLockRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_ConferenceUnlockRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_ConferenceUnlockRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_ConferenceTerminateRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_ConferenceTerminateRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_ConferenceEjectUserRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_ConferenceEjectUserRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_ConferenceTransferRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_ConferenceTransferRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_RegistryRegisterChannelRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_RegistryRegisterChannelRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_RegistryAssignTokenRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_RegistryAssignTokenRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_RegistrySetParameterRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_RegistrySetParameterRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_RegistryRetrieveEntryRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_RegistryRetrieveEntryRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_RegistryDeleteEntryRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_RegistryDeleteEntryRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_RegistryMonitorEntryRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_RegistryMonitorEntryRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_RegistryAllocateHandleRequest & | ( |  | ) |

GCC_RequestPDU::operator const GCC_RegistryAllocateHandleRequest & | ( |  | ) | const

GCC_RequestPDU::operator GCC_NonStandardPDU & | ( |  | ) |

GCC_RequestPDU::operator const GCC_NonStandardPDU & | ( |  | ) | const

PBoolean GCC_RequestPDU::CreateObject | ( |  | ) |

PObject* GCC_RequestPDU::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h